Redmine - Feature #14104

Add regular feature in Redmine for DB migrating ability (MySQL <> MSSQL, for example)

2013-05-20 17:18 - Anatolii Ivashyna

Status: Closed
Priority: Normal
Assignee:

Category: Database

Target version:

Resolution: Wont fix

Start date:
Due date:

% Done:

Estimated time:

0%
0.00 hour

Description

History

#1 - 2013-05-20 19:39 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

Redmine is Rails application and it does not depend specific DB.

If Redmine provide migration scripts, these become very complicated matrix.

It is too hard to maintain.

#2 - 2013-05-21 08:53 - Etienne Massip

Side note: as Jean-Baptiste already said, ??yaml_db?? database adapter gem does a nice job of exporting/reimporting data for you.
http://rubygems.org/gems/yaml_db
http://www.tcpdf.org

